AppException (Apache Struts API Documentation)
Keywords: org.apache.struts.util.AppException,AppException class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.util
Class AppException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--org.apache.struts.util.ModuleException
                        |
                        +--org.apache.struts.util.AppException

All Implemented Interfaces:
  java.io.Serializable

Deprecated. use `ModuleException`

public class AppException
extends ModuleException

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.struts.util.ModuleException
`error, property`

Fields inherited from class java.lang.Exception
``

Fields inherited from class java.lang.Throwable
``

Constructor Summary
`AppException(java.lang.String key)` Deprecated. Construct an module exception with no replacement values.
`AppException(java.lang.String key, java.lang.Object value)` Deprecated. Construct an module exception with the specified replacement values.
`AppException(java.lang.String key, java.lang.Object[] values)` Deprecated. Construct an action error with the specified replacement values.
`AppException(java.lang.String key, java.lang.Object value0, java.lang.Object value1)` Deprecated. Construct an module exception with the specified replacement values.
`AppException(java.lang.String key, java.lang.Object value0, java.lang.Object value1, java.lang.Object value2)` Deprecated. Construct an module exception with the specified replacement values.
`AppException(java.lang.String key, java.lang.Object value0, java.lang.Object value1, java.lang.Object value2, java.lang.Object value3)` Deprecated. Construct an module exception with the specified replacement values.

Methods inherited from class org.apache.struts.util.ModuleException
`getError, getProperty, setProperty`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AppException

    public AppException(java.lang.String key)

  Deprecated.
  Construct an module exception with no replacement values.

Parameters:
  `key` - Message key for this error message

### AppException

    public AppException(java.lang.String key,
                        java.lang.Object value)

  Deprecated.
  Construct an module exception with the specified replacement values.

Parameters:
  `key` - Message key for this error message
  `value` - First replacement value

### AppException

    public AppException(java.lang.String key,
                        java.lang.Object value0,
                        java.lang.Object value1)

  Deprecated.
  Construct an module exception with the specified replacement values.

Parameters:
  `key` - Message key for this error message
  `value0` - First replacement value
  `value1` - Second replacement value

### AppException

    public AppException(java.lang.String key,
                        java.lang.Object value0,
                        java.lang.Object value1,
                        java.lang.Object value2)

  Deprecated.
  Construct an module exception with the specified replacement values.

Parameters:
  `key` - Message key for this error message
  `value0` - First replacement value
  `value1` - Second replacement value
  `value2` - Third replacement value

### AppException

    public AppException(java.lang.String key,
                        java.lang.Object value0,
                        java.lang.Object value1,
                        java.lang.Object value2,
                        java.lang.Object value3)

  Deprecated.
  Construct an module exception with the specified replacement values.

Parameters:
  `key` - Message key for this error message
  `value0` - First replacement value
  `value1` - Second replacement value
  `value2` - Third replacement value
  `value3` - Fourth replacement value

### AppException

    public AppException(java.lang.String key,
                        java.lang.Object[] values)

  Deprecated.
  Construct an action error with the specified replacement values.

Parameters:
  `key` - Message key for this message
  `values` - Array of replacement values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 - Apache Software Foundation